'function does not always return a value' warnings from moz14

RESOLVED FIXED in 1.5

Status

Instantbird
Contacts window
--
trivial
RESOLVED FIXED
4 years ago
4 years ago

People

(Reporter: aleth, Assigned: aleth)

Tracking

Details

Attachments

(2 attachments)

(Assignee)

Description

4 years ago
*** Original post on bio 1676 at 2012-08-27 10:54:00 UTC ***

*** Due to BzAPI limitations, the initial description is in comment 1 ***
(Assignee)

Comment 1

4 years ago
Created attachment 8353615 [details] [diff] [review]
Patch

*** Original post on bio 1676 as attmnt 1856 at 2012-08-27 10:54:00 UTC ***

Timestamp: 08/27/2012 12:03:08 PM
Warning: function set_collapsed does not always return a value
Source File: chrome://instantbird/content/contact.xml
Line: 109, Column: 11
Source Code:
           return val; 

Timestamp: 08/27/2012 11:36:13 AM
Warning: TypeError: function onpopupshowing does not always return a value
Source File: chrome://instantbird/content/blist.xul
Line: 1
Source Code:
if ('_droptarget' in window) return false;

Timestamp: 08/27/2012 11:36:13 AM
Warning: function replaceTabsWithWindow does not always return a value
Source File: chrome://instantbird/content/tabbrowser.xml
Line: 1080
Attachment #8353615 - Flags: review?(florian)
Comment on attachment 8353615 [details] [diff] [review]
Patch

*** Original change on bio 1676 attmnt 1856 at 2012-08-27 11:07:12 UTC ***

Thanks for cleaning this up! :)
Attachment #8353615 - Flags: review?(florian) → review+
Assignee: nobody → aleth
Severity: minor → trivial
Status: NEW → ASSIGNED
Whiteboard: [checkin-needed]
(Assignee)

Updated

4 years ago
Severity: trivial → minor
Severity: minor → trivial
*** Original post on bio 1676 at 2012-08-27 17:45:35 UTC ***

2 more:
Timestamp: 27/08/12 19:43:56
Warning: TypeError: function GS_handleEvent does not always return a value
Source File: chrome://instantbird/content/macgestures.js
Line: 54

Timestamp: 27/08/12 19:43:56
Warning: TypeError: function GS_onSwipe does not always return a value
Source File: chrome://instantbird/content/macgestures.js
Line: 191
*** Original post on bio 1676 at 2012-08-28 00:57:17 UTC ***

(In reply to comment #0)
> Created attachment 8353615 [details] [diff] [review] (bio-attmnt 1856) [details]
> Patch

Committed as http://hg.instantbird.org/instantbird/rev/29d2a239ba24

I'll leave this open because of comment 2.
Whiteboard: [checkin-needed]
Created attachment 8354541 [details] [diff] [review]
Fix macgestures.js

*** Original post on bio 1676 as attmnt 2772 at 2013-08-23 22:39:00 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354541 - Flags: review?(clokep)
Comment on attachment 8354541 [details] [diff] [review]
Fix macgestures.js

*** Original change on bio 1676 attmnt 2772 at 2013-08-23 22:41:12 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354541 - Flags: review?(clokep) → review+
*** Original post on bio 1676 at 2013-08-24 00:37:25 UTC ***

(In reply to comment #4)
> Created attachment 8354541 [details] [diff] [review] (bio-attmnt 2772) [details]
> Fix macgestures.js

I think this is the last of them.

http://hg.instantbird.org/instantbird/rev/626019dffd27
Status: ASSIGNED → RESOLVED
Last Resolved: 4 years ago
Resolution: --- → FIXED
Target Milestone: --- → 1.5
You need to log in before you can comment on or make changes to this bug.